edu.isi.pegasus.gridftp

## Class GridFTPURL

- java.lang.Object
- - edu.isi.pegasus.gridftp.GridFTPURL

    public class GridFTPURL
    extends java.lang.Object

### Field Summary

Fields
`org.globus.util.GlobusURL` `url`

### Constructor Summary

Constructors
Constructor and Description
`GridFTPURL(java.lang.String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHost()`
`java.lang.String` `getHostPort()`
`java.lang.String` `getPath()`
`int` `getPort()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### url

    public org.globus.util.GlobusURL url

### Constructor Detail

#### GridFTPURL

    public GridFTPURL(java.lang.String url)
               throws java.net.MalformedURLException

Throws:
  `java.net.MalformedURLException`

### Method Detail

#### getHost

    public java.lang.String getHost()

#### getPort

    public int getPort()

#### getHostPort

    public java.lang.String getHostPort()

#### getPath

    public java.lang.String getPath()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`